<?php
header('Content-Type: application/json');

$deepseekApiKey = 'sk-0b1d85087dd0480fbd8eefff9860e91cI_KEY'; // Replace with your API key

$message = $_POST['message'];
$mode = $_POST['mode'];

// Create different prompts based on mode
switch($mode) {
    case 'flirt':
        $prompt = "Generate a playful flirty response to this message: $message";
        break;
    case 'intense':
        $prompt = "Generate a intense flirty response with double meaning for: $message";
        break;
    default:
        $prompt = "Generate a friendly normal response to: $message";
}

// Call DeepSeek API
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api.deepseek.com/v1/chat/completions');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
    'model' => 'deepseek-chat',
    'messages' => [['role' => 'user', 'content' => $prompt]]
]));

$headers = [
    'Content-Type: application/json',
    'Authorization: Bearer ' . $deepseekApiKey
];
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($ch);
if (curl_errno($ch)) {
    echo json_encode(['error' => 'API Error']);
    exit;
}
curl_close($ch);

$responseData = json_decode($response, true);
echo json_encode($responseData['choices'][0]['message']['content']);
?>